%global dbus_glib_version         0.76
%global gtk2_version              2.17.2
%global udisks1_version            1.0.0-0.git20100215
%global unique_version            1.0.4
%global libnotify_version         0.6.1
%global caja_version              1.7.0
%global libatasmart_version       0.14

Summary: 		Disk management application
Name: 			mate-disk-utility
Version: 		1.8.0
Release: 		4%{?dist}
License: 		LGPLv2+
Group: 			System Environment/Libraries
URL: 			https://github.com/NiceandGently/mate-disk-utility
Source0: 		http://download.raveit.de/pub/Mate-Desktop/SOURCE/%{name}-%{version}.tar.xz

BuildRequires: 	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: 	dbus-glib >= %{dbus_glib_version}
BuildRequires: 	gtk2-devel >= %{gtk2_version}
BuildRequires: 	yelp-tools
BuildRequires: 	desktop-file-utils
BuildRequires:  libsecret-devel
BuildRequires: 	udisks1-devel >= %{udisks_version}
BuildRequires: 	unique-devel >= %{unique_version}
BuildRequires: 	libnotify-devel >= %{libnotify_version}
BuildRequires: 	caja-devel >= %{caja_version}
BuildRequires: 	libatasmart-devel >= %{libatasmart_version}
BuildRequires: 	avahi-ui-devel
BuildRequires: 	mate-common

Requires: 	%{name}-libs%{?_isa} = %{version}-%{release}

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%package libs
Summary: Shared libraries used by Palimpsest
Group: Development/Libraries
Requires: udisks1 >= %{udisks_version}

%description libs
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package do not
contain UI-related code.

%package ui-libs
Summary: Shared libraries used by Palimpsest
Group: Development/Libraries
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description ui-libs
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package contain
disk-related widgets for use in GTK+ applications.

%package devel
Summary: Development files for mate-disk-utility-libs
Group: Development/Libraries
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
This package contains header files and libraries needed to
develop applications with mate-disk-utility-libs.

%package ui-devel
Summary: Development files for mate-disk-utility-ui-libs
Group: Development/Libraries
Requires: %{name}-ui-libs%{?_isa} = %{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description ui-devel
This package contains header files and libraries needed to
develop applications with mate-disk-utility-ui-libs.

%prep
%setup -q

%build
%configure \
       --enable-keyring \
       --enable-caja

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1


%install
%{make_install}

# TODO: upstream doesn't ship a HACKING file yet
echo " " > HACKING

find $RPM_BUILD_ROOT -name '*.la' -exec rm -fv {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -fv {} ';'

%find_lang %{name} --with-gnome --all-name


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mate-disk.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/mdu-notification-daemon.desktop


%post
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null

%postun
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null

%post libs
/bin/touch --no-create %{_datadir}/icons/mate
/sbin/ldconfig

%postun libs
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
fi
/sbin/ldconfig

%posttrans libs
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :

%post ui-libs -p /sbin/ldconfig

%postun ui-libs -p /sbin/ldconfig


%files
%{_bindir}/mate-disk
%{_sysconfdir}/xdg/autostart/mdu-notification-daemon.desktop
%{_libdir}/caja/extensions-2.0/*.so
%{_libexecdir}/mdu-notification-daemon
%{_libexecdir}/mdu-format-tool
%{_datadir}/applications/mate-disk.desktop

%files libs -f %{name}.lang
%doc README AUTHORS NEWS COPYING HACKING TODO
%{_libdir}/libmdu.so.*
# Yes, it's a bit weird to include icons in the non-UI package but the
# library returns references to these icons
%{_datadir}/icons/mate/*/apps/*.png
%{_datadir}/icons/mate/scalable/apps/*.svg

%files ui-libs
%{_libdir}/libmdu-gtk.so.*

%files devel
%{_libdir}/libmdu.so
%{_libdir}/pkgconfig/mdu.pc
%dir %{_includedir}/mate-disk-utility
%dir %{_includedir}/mate-disk-utility/mdu
%{_includedir}/mate-disk-utility/mdu/*

%files ui-devel
%{_libdir}/libmdu-gtk.so
%{_libdir}/pkgconfig/mdu-gtk.pc
%dir %{_includedir}/mate-disk-utility/mdu-gtk
%{_includedir}/mate-disk-utility/mdu-gtk/*


%changelog
* Tue Dec 29 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-4
- add requires udisk1

* Sun Jun 21 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-3
- release for f22

* Sat Dec 06 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-2
- rebuild for f21 release

* Sat Aug 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-1
- update to 1.8.0 release
- matepalimset to mate-disk

* Sat Mar 08 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- switch to libsecret and yelp-tools
- use --with-gnome --all-name for find locale
- use modern 'make install' macro
- use make %%{?_smp_mflags} V=1
- switch to caja as BR

* Mon Dec 23 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-1
- switch back to gnome-keyring
- update to 1.6.2

* Wed Oct 02 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- update to 1.6.1 release
- enable mate-keyring support

* Thu May 23 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- switch to libnotify
- update to 1.6.0
- build for f19

* Fri Nov 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-0101
- build against fedora official mate-desktop
- remove epoch- review and improve spec file
- switch to valid source
- bump version to 1.4.0
- add desktop-file-validate
- remove OnlyShowIn=MATE from desktop file
- fix unused-direct-shlib-dependency
- rename patch
- fix scriptlet section

* Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-0101
- add OnlyShowIn=MATE to desktop file

* Sun Sep 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-0100
- improve spec file
- security update

* Sat Feb 18 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> -2011.12.01-3
- complete renamed palimpsest to matepalimpsest and gdu to mdu
- to avoid conflicts with gnome-disk-utility 

* Fri Feb 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> -2011.12.01-2
- moved a couple of files to avoid conficts with gnome-disk-utility
- if using the package manager
- insert patch http://git.gnome.org/browse/gnome-disk-utility/commit/?id=7dde5bc75a1d96be9510ce1e98d28f9d33520919

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-1
- mate-disk-utility.spec based on gnome-disk-utility-2.32.1-4.fc15 spec

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 2.32.1-4%{?dist}
- Rebuild against newer gtk

